%define name kdesupport
%define version 1.1.2
%define release 17mdk

%define sourcedir stable/1.1.1/distribution/tar/generic/source
%define compiler gcc
%define qtver  qt >= 1.44

%define omit  --without-libjpeg --without-libgif --without-libgdbm 
%define extrareq libungif libjpeg >= 6b-5 gdbm

Name: %{name}
Release: %{release}
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-1.1.2.tar.bz2
Source1: kde-mandrake-support-1.1.tar.bz2
Source2: kde-etcskel.tar.bz2
Summary: K Desktop Environment - Support Libraries
Version: %{version}
Group: System/Libraries
Copyright: GPL/LGPL
BuildRoot: /var/tmp/%{name}-buildroot
BuildRequires: libtool
Requires: %{qtver} %{extrareq}

%package devel
Group: Development/Other
Copyright: GPL/LGPL
Summary: K Desktop Environment - Headers and static libraries for development

%description
Support Libraries for the K Desktop Environment, but not part of it.

Libraries included: QwSpriteField, js (javascript), uulib, mimelib, rdb;
depending on the Mandrake release, libraries gdbm jpeg and gif are either also
included, or the versions supplied by Red Hat are required.

This package also provides extra KDE support for Linux Mandrake: a script
"usekde" that users can run to set up KDE as their default desktop (which is
also done automatically when a new user is created), and scripts for activating
the KDE X Display Manager "kdm" to replace "xdm".

%description devel
This package includes all headers and static libraries for compiling/linking
against KDE support libraries.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

# extra scripts mandrake
%setup -q -T -D -a 1

%build
libtoolize --force

make -f Makefile.cvs
CC=%{compiler} CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check %{omit}
if [ x"$SMP" != "x" ]; then
  make -j $SMP
else
  make
fi

%install
make prefix=$RPM_BUILD_ROOT/usr install
#chmod a+x $RPM_BUILD_ROOT/usr/lib/*

# install the default user configuration files
#cp -a  $RPM_BUILD_DIR/%{name}-%{version}/kde-mandrake-support-1.1/etc \
#	$RPM_BUILD_ROOT
#cd $RPM_BUILD_DIR/%{name}-%{version}/kde-mandrake-support-1.1/share/session
#for file in * ; do
#     sed -e "s.@KDEPREFIX@./usr.g" $file > ../config/$file
#done
#cp -a ../config/* $RPM_BUILD_ROOT/etc/skel/.kde/share/config

# (fg) Uh! Above is really, definitely, ugly. Left it for the case when the new
# stuff would fail, but I doubt it. Here's the new method...
tar yxvf %{SOURCE2} -C $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%post
grep -q '/usr/lib' /etc/ld.so.conf || echo "/usr/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
	if ! [ -d /usr/lib ] ; then
#	mv /etc/ld.so.conf /etc/ld.so.conf.orig
#	grep -v '^/usr/lib$' /etc/ld.so.conf.orig > /etc/ld.so.conf
#	rm /etc/ld.so.conf.orig
		perl -ni -e 'print unless /^\/usr\/lib$/' /etc/ld.so.conf
		/sbin/ldconfig
	fi
fi

%files
%defattr(-,root,root,755)
/usr/lib/*.so.*
/usr/lib/*.la
/etc/skel/*
/etc/skel/.[!.]*

%files devel
%defattr(-,root,root,755)
/usr/lib/*.so
/usr/lib/*.a
/usr/include/*

%changelog
* Wed May 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.2-17mdk
- removed entry in etcskel [will move it to package kshow]
  sorry fred :-)

* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.2-16mdk
- added /etc/skel/.kde/share/config/kshowrc to prevent from nasty
  messages at startup of kshow

* Thu May 04 2000 dam's <dam's@mandrakesoft.com> 1.1.2-15mdk
- removed kvt from kfmrc in etc/skel/.kde.

* Tue Apr 04 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-14mdk
- Major cleanup in /etc/skel/.kde
- Spec file cleanups

* Mon Mar 27 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-13mdk
- Split into kdesupport and kdesupport-devel
- Don't use autogenerated file list

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- add libtoolize --force

* Mon Dec 27 1999 Pixel <pixel@mandrakesoft.com>
- added ~/.kde/share/config/kfmrc

* Thu Dec 16 1999 Pixel <pixel@mandrakesoft.com>
- moved Templates from Desktop to .kde

* Tue Dec  7 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild, more clean up

* Mon Nov 29 1999 John Corey <jcorey@mandrakesoft.com>
- Clean up spec, fix rpmlint warnings.

* Thu Nov 04 1999 Daniel M. Duley <mosfet@linux-mandrake.com>
- Updated sources and RH compatible docpath. Re-enabled Makefile.cvs.

* Fri Oct 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Cooker build
- install-strip is broken ue the mdk macro 

* Tue Sep 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Removing the -pre.

* Wed Sep  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add new desktoprc for multiple color in mutliple desktops.

* Tue Aug 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rename to -pre1.

* Wed Aug 25 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990825.

* Tue Aug 24 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990824.


* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Improve the default kpanelrc like the default one.


* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove scripts from kdesupport and move them to kdebase.

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove some .kdelnk to don't duplicate with mandrake_desk.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix the broken kde.csh script.

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- By default we launch konsole.
- Build our support package (hope to improve it when time come to me).

* Thu May 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Bug dependences (pre1 is more recent from 1.1) fixed.

* Wed May 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.1.1

* Wed Apr 21 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.1.1pre1
- Mandrake adaptions

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.
- removed installation of /etc/skel/.Xclients.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to KDE 1.1 final.

* Tue Jan 05 1998 Preston Brown <pbrown@redhat.com>
- again, integrated changes from Duncan Haldane
